// -*- c++ -*-

#ifndef UTILS_H
#define UTILS_H

#include <qstring.h>
#include <stdio.h>

/**
 * Contains utility methods for using 64 bit number types with QString.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id$
 */
class Utils
{
public:
  static QString toString( long long val )
    {
        char str[ 30 ];
	sprintf( str, "%lld", val );
	static QString strVal( "%1" );

	return strVal.arg( str );
    }

  static QString toString( long double val )
    {
      char str[ 30 ];
      sprintf( str, "%Lg", val );
      static QString strVal( "%1" );

      return strVal.arg( str );
    }
};

#endif // UTILS_H
